For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all integrations for the organization
      • GETList all channels for a Slack workspace
LogoLogo
Scout DocsAccess Scout
EndpointsIntegrations

List all integrations for the organization

Beta
GET
https://api.scoutos.com/v2/integrations/:service
GET
/v2/integrations/:service
$curl https://api.scoutos.com/v2/integrations/service \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
4 "name": "GitHub Enterprise",
5 "service_id": "github",
6 "icon_url": "https://cdn.example.com/icons/github.png",
7 "oauth_token_id": "token_9876543210abcdef",
8 "has_permission": true
9 },
10 {
11 "id": "f1e2d3c4-b5a6-7890-cd12-ef34ab567890",
12 "name": "Slack Workspace",
13 "service_id": "slack",
14 "icon_url": "https://cdn.example.com/icons/slack.png",
15 "oauth_token_id": "token_1234567890abcdef",
16 "has_permission": false
17 }
18]
List all OAuth integrations for the organization If service is 'all', returns integrations for all services.
Was this page helpful?
Previous

List all channels for a Slack workspace

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

servicestringRequired

Query parameters

fetch_iconsbooleanOptionalDefaults to false

Response

Successful Response
idstring
namestring
service_idstring
icon_urlstring or null
oauth_token_idstring
has_permissionbooleanDefaults to false

Errors

422
Unprocessable Entity Error